Compute depths data for Activity, Risk, DrillingParameter and Survey by provided well guids

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Headers
slb-partition-idstringrequired

Slb partition id

Body
well_guidsArray of strings or null
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/wells/compute-depths \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '{
    "well_guids": [
      "string"
    ]
  }'

Responses

OK

Body
Array [
severitystring(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.Severity)
Enum:"Information""Warning""Error"
action_keystring or null
well_guidstring or null
preparation_resultobject(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.DataPreparationResult)
activity_resultobject(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EnrichmentResult)
risk_resultobject(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EnrichmentResult)
parameter_resultobject(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EnrichmentResult)
survey_resultobject(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EnrichmentResult)
well_resultobject(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EnrichmentResult)
]
Response
[
  {
    "severity": "Information",
    "action_key": "string",
    "well_guid": "string",
    "preparation_result": {
      "preparationSucceeded": true,
      "trajectoryError": "string"
    },
    "activity_result": {
      "query_entity_count": 0,
      "enriched_entity_count": 0,
      "ingested_entity_count": 0,
      "imputation_details": [
        "string"
      ],
      "action_succeeded": true,
      "master_error": "string",
      "dependent_action_errors": [
        "string"
      ],
      "action_key": "string"
    },
    "risk_result": {
      "query_entity_count": 0,
      "enriched_entity_count": 0,
      "ingested_entity_count": 0,
      "imputation_details": [
        "string"
      ],
      "action_succeeded": true,
      "master_error": "string",
      "dependent_action_errors": [
        "string"
      ],
      "action_key": "string"
    },
    "parameter_result": {
      "query_entity_count": 0,
      "enriched_entity_count": 0,
      "ingested_entity_count": 0,
      "imputation_details": [
        "string"
      ],
      "action_succeeded": true,
      "master_error": "string",
      "dependent_action_errors": [
        "string"
      ],
      "action_key": "string"
    },
    "survey_result": {
      "query_entity_count": 0,
      "enriched_entity_count": 0,
      "ingested_entity_count": 0,
      "imputation_details": [
        "string"
      ],
      "action_succeeded": true,
      "master_error": "string",
      "dependent_action_errors": [
        "string"
      ],
      "action_key": "string"
    },
    "well_result": {
      "query_entity_count": 0,
      "enriched_entity_count": 0,
      "ingested_entity_count": 0,
      "imputation_details": [
        "string"
      ],
      "action_succeeded": true,
      "master_error": "string",
      "dependent_action_errors": [
        "string"
      ],
      "action_key": "string"
    }
  }
]